org.apache.ignite.internal.util.future

## Class AsyncFutureListener<V>

- java.lang.Object
- - org.apache.ignite.internal.util.future.AsyncFutureListener<V>

All Implemented Interfaces:
  Serializable, IgniteInClosure<IgniteFuture<V>>

    public class AsyncFutureListener<V>
    extends Object
    implements IgniteInClosure<IgniteFuture<V>>

Wraps listener and executes it in specified executor.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AsyncFutureListener(IgniteInClosure<? super IgniteFuture<V>> lsnr, Executor exec)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(IgniteFuture<V> fut)` Closure body.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncFutureListener

    public AsyncFutureListener(IgniteInClosure<? super IgniteFuture<V>> lsnr,
                               Executor exec)

Parameters:
  `lsnr` - Listener to be called asynchronously.
  `exec` - Executor to process listener.

### Method Detail

#### apply

    public void apply(IgniteFuture<V> fut)

Closure body.

Specified by:
  `apply` in interface `IgniteInClosure<IgniteFuture<V>>`
Parameters:
  `fut` - Closure argument.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020